#!/bin/bash
set -e

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
	CREATE USER {{ pg_nc_user }};
	CREATE DATABASE {{ pg_nc_dbname }};
	ALTER USER {{ pg_nc_user }} WITH ENCRYPTED PASSWORD '{{ pg_nc_password }}';
	GRANT ALL PRIVILEGES ON DATABASE {{ pg_nc_dbname }} TO {{ pg_nc_user }};
	ALTER DATABASE {{ pg_nc_dbname }} OWNER TO {{ pg_nc_user }};
EOSQL
BACKUP_FILE=/tmp/backup/backup.sql
psql -U {{ pg_nc_user }} -d {{ pg_nc_dbname }} < $BACKUP_FILE
